Crypto Manager Host KMS Add Key

Crypto Manager Host KMS Add Key
Add an existing key.

Add an existing key.

Required privileges: Cryptographer.ManageKeys

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/CryptoManagerHostKMS/{moId}/AddKey
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case CryptoManagerHostKMS/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
AddKeyRequestType of type(s) application/json
Required

Show optional properties

{
    "key": {}
}
{
    "key": {
        "_typeName": "string",
        "keyId": {
            "_typeName": "string",
            "keyId": "string",
            "providerId": {
                "_typeName": "string",
                "id": "string"
            }
        },
        "algorithm": "string",
        "keyData": "string"
    }
}
key
Required

[in] The cryptographic key to add.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

AlreadyExists: in case the key is already in the key cache

InvalidState: in case the host is not Crypto Safe

InvalidArgument: in case the keyID is duplicated or key properties are incorrect.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"key":"{}"}' https://{api_host}/sdk/vim25/{release}/CryptoManagerHostKMS/{moId}/AddKey